Alojamento Web para Joomla 1.5 com os dias contados?

0
240
views

joomla-security

Tivemos recentemente conhecimento que alguns dos fornecedores de alojamento web estão a abandonar o suporte à plataforma Joomla 1.5, enviando um ultimato aos seus clientes e avisando-os de que as suas plataformas serão forçosamente actualizadas de forma automática para o Joomla 2.5.

Apesar de existir a necessidade das plataformas serem actualizadas, esta situação não está, do nosso ponto de vista, a ser gerida da melhor forma por estes fornecedores.

Estes fornecedores são na maioria dos casos demasiado grandes para se importarem com os seus clientes, fornecem serviços à escala a preços impraticáveis, uma vez que muito possivelmente se perderem um cliente, este vai optar por migrar para outra marca/empresa do mesmo grupo (Exemplo: Endurance International Group).

Conforme já informamos anteriormente no nosso blog, é recomendável que todos os clientes que tenham sites onde utilizem a plataforma Joomla 1.5 planeiem a migração para Joomla 2.5 ou Joomla 3.2. Até que esta migração seja concluída, deverá aplicado o patch disponibilizado nesta página de forma a corrigir uma falha de segurança que afecta a versão 1.5.

Deverá ser feito também um levantamento de todos os plugins, extensões, componentes e módulos, onde aqueles que não estejam a ser utilizados devem ser desactivados e removidos e aqueles que sejam necessários ao funcionamento do site devem estar actualizados. Nos que mantiver actualizados, deverá fazer algumas pesquisas e contactar os desenvolvedores de forma a confirmar se não existem falhas de segurança conhecidas.

A migração de Joomla 1.5 para Joomla 2.5 não é um processo linear, uma vez que para além de ser necessário migrar os dados utilizando extensões de terceiros, será necessário também verificar se todos os módulos, componentes, extensões e plug-ins que utiliza no seu site, têm uma versão compatível com o Joomla 2.5. Adicionalmente terá que optar por um novo theme ou adaptar o código do theme actual para que este seja compatível com Joomla 2.5.

Não cabe também ao fornecedor de alojamento efectuar uma actualização forçada destas plataformas, visto que a actualização irá causar problemas relacionados com compatibilidades.

Conforme é recomendado pela comunidade Joomla, se o seu fornecedor o contactou a indicar que vai forçar esta actualização, deverá optar pelos seguintes procedimentos:

– Mudar para um serviço de alojamento que esteja disposto a suportar a sua instalação Joomla 1.5;
– Assegurar-se que o seu site está a executar a ultima versão estável disponível do Joomla 1.5 (1.5.26) e que aplicou o patch indicado acima;
– Certificar-se que todas as extensões instaladas no seu site estão a correr na ultima versão – Extensões de terceiros também são vulneráveis a falhas de segurança;
– Planear a migração de Joomla 1.5 para Joomla 2.5 ou Joomla 3.2 (Migrating from Joomla 1.5 to Joomla 2.5)

Caso não tenha os conhecimentos técnicos necessários para este procedimento, poderá a qualquer momento entrar em contacto com a nossa equipa para que possamos analisar o seu site e lhe possamos apresentar uma proposta de migração.